Support » Plugin: WP BrowserUpdate » Split IE and Edge

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Steini

    (@macsteini)

    Will see what I can do with a future release of the plugin.

    It looks like if you don’t specify IE (i) it uses Edge (e).

    I just configured the straight Javasctipt plugin like so and it works for ALL versions of IE.

    function hook_browser_checker() {
        
        ?>
    <script> 
    var $buoop = {
        required:{
            e:-3,
            i:15,
            f:-3,
            o:-3,
            s:-1,
            c:-3},
        insecure:true,
        unsupported:true,
        api:2020.02,
        reminder:0,
        reminderClosed:1,
        text_for_i: {
           'msg':'<h3>Internet Explorer is not supported by our site anymore.</h3>WordPress, and most of our digital library, do not work well in Internet Explorer.<br>You must use Edge, Chrome, Firefox, Safari or Opera.<br>',
           'msgmore': 'Please choose a new browser as soon as possible to use this site.'
            }, 
    }; 
    function $buo_f(){ 
     var e = document.createElement("script"); 
     e.src = "//browser-update.org/update.min.js"; 
     document.body.appendChild(e);
    };
    try {document.addEventListener("DOMContentLoaded", $buo_f,false)}
    catch(e){window.attachEvent("onload", $buo_f)}
    </script>        
        <?php
    }
    add_action('wp_head', 'hook_browser_checker');

    This Javascript is a great solution for the Internet-Explorer-Problem.
    I’ve used the great plugin “Code Snippets”.

    In this plugin you have to enter the code between the <script> </script>-Area.

    var $buoop = {
        required:{
            e:-3,
            i:15,
            f:-3,
            o:-3,
            s:-1,
            c:-3},
        insecure:true,
        unsupported:true,
        api:2020.02,
        reminder:0,
        reminderClosed:1,
        text_for_i: {
           'msg':'<h3>Internet Explorer wird von dieser Seite nicht mehr unterst&uuml;zt.</h3>Viele Webseiten funktionieren im Internet-Explorer nicht mehr richtig. Es kann zu Anzeigeproblemen kommen.<br>Selbst Microsoft warnt vor der Benutzung des Internet-Explorers, dessen Entwicklung 2015 eingestellt wurde.<br>Der Internet Explorer wird von Microsoft unter Windows 7 unterst&uuml;zt. Microsoft empfiehlt den neuen Edge zu installieren.<br>Sie sollten Edge, Chrome, Firefox, Safari oder Opera benutzen.<br>',
           'msgmore': 'Bitte verwenden Sie einen neuen Browser von dieser Seite.'
            }, 
    }; 
    function $buo_f(){ 
     var e = document.createElement("script"); 
     e.src = "//browser-update.org/update.min.js"; 
     document.body.appendChild(e);
    };
    try {document.addEventListener("DOMContentLoaded", $buo_f,false)}
    catch(e){window.attachEvent("onload", $buo_f)}

    Perhaps this can help somebody.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Split IE and Edge’ is closed to new replies.